aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.RemoveUserFromGroup

Synopsis

- data RemoveUserFromGroup = RemoveUserFromGroup {
  - rufgGroupName :: Text
  - rufgUserName :: Text
  }
- data RemoveUserFromGroupResponse = RemoveUserFromGroupResponse

# Documentation

data RemoveUserFromGroup #

Removes the specified user from the specified group.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_RemoveUserFromGroup.html

Constructors

RemoveUserFromGroup |

Fields

- rufgGroupName :: Text

  Name of the group to update.

- rufgUserName :: Text

  The of the user to add.

#### Instances

Instances details

SignQuery RemoveUserFromGroup # |

Instance details

Defined in Aws.Iam.Commands.RemoveUserFromGroup

Associated Types

type ServiceConfiguration RemoveUserFromGroup |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup type ServiceConfiguration RemoveUserFromGroup = IamConfiguration

Methods

signQuery :: RemoveUserFromGroup -> ServiceConfiguration RemoveUserFromGroup queryType -> SignatureData -> SignedQuery #

Show RemoveUserFromGroup # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup Methods showsPrec :: Int -> RemoveUserFromGroup -> ShowS # show :: RemoveUserFromGroup -> String # showList :: [RemoveUserFromGroup] -> ShowS #
Eq RemoveUserFromGroup # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup Methods (==) :: RemoveUserFromGroup -> RemoveUserFromGroup -> Bool # (/=) :: RemoveUserFromGroup -> RemoveUserFromGroup -> Bool #
Ord RemoveUserFromGroup # |

Instance details

Defined in Aws.Iam.Commands.RemoveUserFromGroup

Methods

compare :: RemoveUserFromGroup -> RemoveUserFromGroup -> Ordering #

(<) :: RemoveUserFromGroup -> RemoveUserFromGroup -> Bool #

(<=) :: RemoveUserFromGroup -> RemoveUserFromGroup -> Bool #

(>) :: RemoveUserFromGroup -> RemoveUserFromGroup -> Bool #

(>=) :: RemoveUserFromGroup -> RemoveUserFromGroup -> Bool #

max :: RemoveUserFromGroup -> RemoveUserFromGroup -> RemoveUserFromGroup #

min :: RemoveUserFromGroup -> RemoveUserFromGroup -> RemoveUserFromGroup #

ResponseConsumer RemoveUserFromGroup RemoveUserFromGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.RemoveUserFromGroup

Associated Types

type ResponseMetadata RemoveUserFromGroupResponse |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup type ResponseMetadata RemoveUserFromGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> RemoveUserFromGroup -> IORef (ResponseMetadata RemoveUserFromGroupResponse) -> HTTPResponseConsumer RemoveUserFromGroupResponse #

Transaction RemoveUserFromGroup RemoveUserFromGroupResponse # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup
type ServiceConfiguration RemoveUserFromGroup # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup type ServiceConfiguration RemoveUserFromGroup = IamConfiguration

data RemoveUserFromGroupResponse #

Constructors

RemoveUserFromGroupResponse |

#### Instances

Instances details

AsMemoryResponse RemoveUserFromGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.RemoveUserFromGroup

Associated Types

type MemoryResponse RemoveUserFromGroupResponse |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup type MemoryResponse RemoveUserFromGroupResponse = RemoveUserFromGroupResponse

Methods

loadToMemory :: RemoveUserFromGroupResponse -> ResourceT IO (MemoryResponse RemoveUserFromGroupResponse) #

Show RemoveUserFromGroupResponse # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup Methods showsPrec :: Int -> RemoveUserFromGroupResponse -> ShowS # show :: RemoveUserFromGroupResponse -> String # showList :: [RemoveUserFromGroupResponse] -> ShowS #
Eq RemoveUserFromGroupResponse # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup Methods (==) :: RemoveUserFromGroupResponse -> RemoveUserFromGroupResponse -> Bool # (/=) :: RemoveUserFromGroupResponse -> RemoveUserFromGroupResponse -> Bool #
Ord RemoveUserFromGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.RemoveUserFromGroup

Methods

compare :: RemoveUserFromGroupResponse -> RemoveUserFromGroupResponse -> Ordering #

(<) :: RemoveUserFromGroupResponse -> RemoveUserFromGroupResponse -> Bool #

(<=) :: RemoveUserFromGroupResponse -> RemoveUserFromGroupResponse -> Bool #

(>) :: RemoveUserFromGroupResponse -> RemoveUserFromGroupResponse -> Bool #

(>=) :: RemoveUserFromGroupResponse -> RemoveUserFromGroupResponse -> Bool #

max :: RemoveUserFromGroupResponse -> RemoveUserFromGroupResponse -> RemoveUserFromGroupResponse #

min :: RemoveUserFromGroupResponse -> RemoveUserFromGroupResponse -> RemoveUserFromGroupResponse #

ResponseConsumer RemoveUserFromGroup RemoveUserFromGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.RemoveUserFromGroup

Associated Types

type ResponseMetadata RemoveUserFromGroupResponse |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup type ResponseMetadata RemoveUserFromGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> RemoveUserFromGroup -> IORef (ResponseMetadata RemoveUserFromGroupResponse) -> HTTPResponseConsumer RemoveUserFromGroupResponse #

Transaction RemoveUserFromGroup RemoveUserFromGroupResponse # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup
type MemoryResponse RemoveUserFromGroupResponse # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup type MemoryResponse RemoveUserFromGroupResponse = RemoveUserFromGroupResponse
type ResponseMetadata RemoveUserFromGroupResponse # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup type ResponseMetadata RemoveUserFromGroupResponse = IamMetadata